Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DirectoryObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.DirectoryObject

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieDirectoryObject

    public class DirectoryObject

extends TiePublicObject
implements DirectoryObjectInterface

A DirectoryObject represents an iFS user or group of users.

This class is essentially abstract. The two major subclasses of this class are DirectoryUser and DirectoryGroup. Many operations require some user or group entity, and therefore use DirectoryObject to represent this. For example, security grant and revoke operations can use either a user or group as the grantee, and therefore take a DirectoryObject argument.

DirectoryObject is a subclass of PublicObject; hence, DirectoryObject can have associated AccessControlLists to manage security on the DirectoryObjects. Typically, DirectoryUser objects are accessible to all users (that is, their ACL has Discover granted to the "World" group).

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Class name for this class.
`static java.lang.String` | `CREDENTIALMANAGER_ATTRIBUTE` The name of the CredentialManager for this DirectoryObject.
`static java.lang.String` | `DISTINGUISHEDNAME_ATTRIBUTE` The name by which the CredentialManager for this DirectoryObject refers to this user or group.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `DirectoryObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a DirectoryObject object.

Method Summary
`protected static DirectoryObject` | `constructDirectoryObject(LibrarySession sess, S_LibraryObjectData data)` Constructs a DirectoryObject from a S_LibraryObjectData.
`protected static DirectoryObject[]` | `constructDirectoryObjectArray(LibrarySession sess, java.lang.Long[] ids)` Construct a DirectoryObject array from an array of object IDs.
`protected static java.util.Vector` | `constructDirectoryObjectVector(LibrarySession sess, java.util.Vector vector)` Constructs a DirectoryObject Vector from a Vector of S_DirectoryObjectData.
`DirectoryGroup[]` | `getAllAncestors()` Gets all ancestors to this DirectoryObject.
`DirectoryGroup` | `getAllAncestors(int index)` Deprecated. iFS 9.0.3 Use getAllAncestors() to get entire array
`DirectoryObject[]` | `getAllMembers()` Gets all members belonging to this DirectoryObject.
`DirectoryObject` | `getAllMembers(int index)` Gets a specific memeber at the specified index in array of DirectoryObject.
`DirectoryUser[]` | `getAllUserMembers()` Gets all DirectoryUser members belonging to this DirectoryObject.
`DirectoryUser` | `getAllUserMembers(int index)` Gets a specific DirectoryUser Member at the specified index in array of DirectoryObject.
`java.lang.String` | `getCredentialManager()` Gets the credential manager of this DirectoryObject.
`DirectoryGroup[]` | `getDirectAncestors()` Gets the direct ancestors to this DirectoryObject.
`DirectoryGroup` | `getDirectAncestors(int index)` Deprecated. iFS 9.0.3 Use getDirectAncestors() and index into the resultant array
`DirectoryObject[]` | `getDirectMembers()` Gets the direct members belonging to this DirectoryObject.
`DirectoryObject` | `getDirectMembers(int index)` Gets the specific direct member at the specified index in array of DirectoryObject.
`java.lang.String` | `getDistinguishedName()` Gets the distinguished name for this DirectoryObject.
`boolean` | `isMemberOf(DirectoryObject parent)` See if the target is the same as or is a member of the specified object.
`void` | `resetAllAncestors()` Deprecated. iFS 9.0.3 No longer has any effect
`void` | `resetDirectAncestors()` Deprecated. iFS 9.0.3 No longer has any effect
`void` | `setCredentialManager(java.lang.String credentialManager)` Sets the credential manager of this DirectoryObject.
`void` | `setDistinguishedName(java.lang.String name)` Sets the distinguished name of this DirectoryObject.
`protected static DirectoryObject` | `vectorDirectoryObjectElement(java.util.Vector vector, int index)` Returns a DirectoryObject element from the Vector of DirectoryObject at the specified index.
`protected static DirectoryObject[]` | `vectorToDirectoryObjectArray(java.util.Vector vector)` Converts a Vector of DirectoryObject to an array of DirectoryObject.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `DirectoryObject`
  Class name for this class.

  Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DISTINGUISHEDNAME_ATTRIBUTE

    public static final java.lang.String DISTINGUISHEDNAME_ATTRIBUTE

  Description copied from class: `DirectoryObject`
  The name by which the CredentialManager for this DirectoryObject refers to this user or group.

  See Also:
    Constant Field Values
  (Published)

### CREDENTIALMANAGER_ATTRIBUTE

    public static final java.lang.String CREDENTIALMANAGER_ATTRIBUTE

  Description copied from class: `DirectoryObject`
  The name of the CredentialManager for this DirectoryObject.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### DirectoryObject

    protected DirectoryObject(LibrarySession session,
                              java.lang.Long id,
                              java.lang.Long classId,
                              S_LibraryObjectData data)
                       throws IfsException

  Constructs a DirectoryObject object.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the DirectoryObject data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getCredentialManager

    public java.lang.String getCredentialManager()
                                          throws IfsException

  Description copied from class: `DirectoryObject`
  Gets the credential manager of this DirectoryObject.

  Returns:
    the credential manager
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDistinguishedName

    public java.lang.String getDistinguishedName()
                                          throws IfsException

  Description copied from class: `DirectoryObject`
  Gets the distinguished name for this DirectoryObject.

  Returns:
    the distinguished name
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllMembers

    public DirectoryObject[] getAllMembers()
                                    throws IfsException

  Description copied from class: `DirectoryObject`
  Gets all members belonging to this DirectoryObject.

  For DirectoryGroup, this method is overridden to produce the full set of member DirectoryObjects that are members (directly or indirectly) of that DirectoryGroup.

  For DirectoryUser, the array only contains the target object.

  Returns:
    array of member DirectoryObjects
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllMembers

    public DirectoryObject getAllMembers(int index)
                                  throws IfsException

  Description copied from class: `DirectoryObject`
  Gets a specific memeber at the specified index in array of DirectoryObject.

  For the DirectoryObject class, the only valid index is zero(0), which will return this object.

  Parameters:
    `index` - index into the array of DirectoryObjects
  Returns:
    the requested DirectoryGroup
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllUserMembers

    public DirectoryUser[] getAllUserMembers()
                                      throws IfsException

  Description copied from class: `DirectoryObject`
  Gets all DirectoryUser members belonging to this DirectoryObject.

  This list is the full set of member DirectoryUsers that are members (directly or indirectly) of this DirectoryGroup.

  Returns:
    array of member DirectoryUsers
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllUserMembers

    public DirectoryUser getAllUserMembers(int index)
                                    throws IfsException

  Description copied from class: `DirectoryObject`
  Gets a specific DirectoryUser Member at the specified index in array of DirectoryObject.

  Parameters:
    `index` - index into the array of DirectoryGroups
  Returns:
    the requested DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectMembers

    public DirectoryObject[] getDirectMembers()
                                       throws IfsException

  Description copied from class: `DirectoryObject`
  Gets the direct members belonging to this DirectoryObject.

  For DirectoryGroup objects, this method is overridden to return the set of direct members of that DirectoryGroup.

  For DirectoryUser obejects, a null array is returned.

  Returns:
    array of direct member DirectoryObjects
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectMembers

    public DirectoryObject getDirectMembers(int index)
                                     throws IfsException

  Description copied from class: `DirectoryObject`
  Gets the specific direct member at the specified index in array of DirectoryObject.

  Parameters:
    `index` - index into the array of DirectoryObjects
  Returns:
    the requested DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectAncestors

    public DirectoryGroup[] getDirectAncestors()
                                        throws IfsException

  Description copied from class: `DirectoryObject`
  Gets the direct ancestors to this DirectoryObject.

  Returns:
    array of DirectoryGroup
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectAncestors

    public DirectoryGroup getDirectAncestors(int index)
                                      throws IfsException

  Deprecated. iFS 9.0.3 Use getDirectAncestors() and index into the resultant array

  Description copied from class: `DirectoryObject`
  Gets the direct ancestors to this DirectoryObject at the specified index.

  Parameters:
    `index` - index into the array of DirectoryGroup
  Returns:
    the requested DirectoryGroup
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getAllAncestors

    public DirectoryGroup[] getAllAncestors()
                                     throws IfsException

  Description copied from class: `DirectoryObject`
  Gets all ancestors to this DirectoryObject.

  Returns:
    array of DirectoryGroup
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllAncestors

    public DirectoryGroup getAllAncestors(int index)
                                   throws IfsException

  Deprecated. iFS 9.0.3 Use getAllAncestors() to get entire array

  Description copied from class: `DirectoryObject`
  Gets all ancestors to this DirectoryObject at the specified index.

  Parameters:
    `index` - index into the array of DirectoryGroup
  Returns:
    the requested DirectoryGroup
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isMemberOf

    public boolean isMemberOf(DirectoryObject parent)
                       throws IfsException

  Description copied from class: `DirectoryObject`
  See if the target is the same as or is a member of the specified object.

  Parameters:
    `parent` - the object to compare against
  Returns:
    true if the target object is equivalent to the specified object, or is a member of it.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setDistinguishedName

    public void setDistinguishedName(java.lang.String name)
                              throws IfsException

  Description copied from class: `DirectoryObject`
  Sets the distinguished name of this DirectoryObject.

  Parameters:
    `name` - the distinguished name
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setCredentialManager

    public void setCredentialManager(java.lang.String credentialManager)
                              throws IfsException

  Description copied from class: `DirectoryObject`
  Sets the credential manager of this DirectoryObject.

  Parameters:
    `credentialManager` - the name of the credential manager
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### constructDirectoryObjectVector

    protected static java.util.Vector constructDirectoryObjectVector(LibrarySession sess,
                                                                     java.util.Vector vector)
                                                              throws IfsException

  Description copied from class: `DirectoryObject`
  Constructs a DirectoryObject Vector from a Vector of S_DirectoryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of DirectoryObject objects
  Returns:
    Vector of DirectoryObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructDirectoryObjectArray

    protected static DirectoryObject[] constructDirectoryObjectArray(LibrarySession sess,
                                                                     java.lang.Long[] ids)
                                                              throws IfsException

  Description copied from class: `DirectoryObject`
  Construct a DirectoryObject array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a PublciObject.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of DirectoryObjects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructDirectoryObject

    protected static DirectoryObject constructDirectoryObject(LibrarySession sess,
                                                              S_LibraryObjectData data)
                                                       throws IfsException

  Description copied from class: `DirectoryObject`
  Constructs a DirectoryObject from a S_LibraryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Returns:
    the constructed DirectoryObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToDirectoryObjectArray

    protected static DirectoryObject[] vectorToDirectoryObjectArray(java.util.Vector vector)
                                                             throws IfsException

  Description copied from class: `DirectoryObject`
  Converts a Vector of DirectoryObject to an array of DirectoryObject.

  Parameters:
    `vector` - Vector of DirectoryObject
  Returns:
    array of DirectoryObject that corresponds to the given Vector
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorDirectoryObjectElement

    protected static DirectoryObject vectorDirectoryObjectElement(java.util.Vector vector,
                                                                  int index)
                                                           throws java.lang.IndexOutOfBoundsException

  Description copied from class: `DirectoryObject`
  Returns a DirectoryObject element from the Vector of DirectoryObject at the specified index.

  Parameters:
    `vector` - Vector of DirectoryObject
    `index` - index into DirectoryObject
  Returns:
    the specified DirectoryObject
  Throws:
    `java.lang.IndexOutOfBoundsException` - if invalid index specified.
  (Unpublished)

### resetDirectAncestors

    public void resetDirectAncestors()
                              throws IfsException

  Deprecated. iFS 9.0.3 No longer has any effect

  Description copied from class: `DirectoryObject`
  Clears locally cached list of direct ancestors.

  This must be called to force a new array of getDirectAncestors to be fetched from the server.

  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### resetAllAncestors

    public void resetAllAncestors()
                           throws IfsException

  Deprecated. iFS 9.0.3 No longer has any effect

  Description copied from class: `DirectoryObject`
  Clears locally cached list of all ancestors.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD